Package com.sap.ai.sdk.orchestration.model

# Class MessageToolCallFunction

java.lang.Object
com.sap.ai.sdk.orchestration.model.MessageToolCallFunction

public class MessageToolCallFunction extends Object
The function that the model called.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `MessageToolCallFunction.Builder`
  Builder helper class.
  `static interface`
  `MessageToolCallFunction.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MessageToolCallFunction()`
  Default constructor for MessageToolCallFunction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessageToolCallFunction`
  `arguments(String arguments)`
  Set the arguments of this `MessageToolCallFunction` instance and return the same instance.
  `static MessageToolCallFunction.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `MessageToolCallFunction` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `String`
  `getArguments()`
  The arguments to call the function with, as generated by the model in JSON format.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MessageToolCallFunction`.
  `String`
  `getName()`
  The name of the function to call.
  `int`
  `hashCode()`
  `MessageToolCallFunction`
  `name(String name)`
  Set the name of this `MessageToolCallFunction` instance and return the same instance.
  `void`
  `setArguments(String arguments)`
  Set the arguments of this `MessageToolCallFunction` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MessageToolCallFunction` instance.
  `void`
  `setName(String name)`
  Set the name of this `MessageToolCallFunction` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MessageToolCallFunction` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MessageToolCallFunction

    protected MessageToolCallFunction()
    Default constructor for MessageToolCallFunction.

- ## Method Details

  - ### name

    @Nonnull public MessageToolCallFunction name(@Nonnull String name)
    Set the name of this `MessageToolCallFunction` instance and return the same instance.
    Parameters:
      `name` - The name of the function to call.
    Returns:
      The same instance of this `MessageToolCallFunction` class

  - ### getName

    @Nonnull public String getName()
    The name of the function to call.
    Returns:
      name The name of this `MessageToolCallFunction` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `MessageToolCallFunction` instance.
    Parameters:
      `name` - The name of the function to call.

  - ### arguments

    @Nonnull public MessageToolCallFunction arguments(@Nonnull String arguments)
    Set the arguments of this `MessageToolCallFunction` instance and return the same instance.
    Parameters:
      `arguments` - The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.
    Returns:
      The same instance of this `MessageToolCallFunction` class

  - ### getArguments

    @Nonnull public String getArguments()
    The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.
    Returns:
      arguments The arguments of this `MessageToolCallFunction` instance.

  - ### setArguments

    public void setArguments(@Nonnull String arguments)
    Set the arguments of this `MessageToolCallFunction` instance.
    Parameters:
      `arguments` - The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MessageToolCallFunction`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MessageToolCallFunction` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MessageToolCallFunction` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MessageToolCallFunction` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MessageToolCallFunction.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `MessageToolCallFunction` instance with all required arguments.